/*****************************************************************
 * File:		$RCSfile: agmdebug.c,v $
 * Date:		$Date: 2005/06/02 10:38:46 $
 * Author:		$Author: kath $
 * Revision:	$Revision: 1.3 $
 *
 * Purpose:		This provides reader specific low-level calls
 * 				for the ArgosMini II (USB) reader of Todos Data System AB.
 * License:		See file LICENSE
 *******************************************************************/

#include <pcsclite.h>
#include <debuglog.h>
#include <stdio.h>
#include <string.h>
#include <stdarg.h>

#if HAVE_CONFIG_H
#include "config.h"
#endif

#include "agmdebug.h"

/* Max string size when dumping a 256 bytes longs APDU
 * Should be bigger than 256*3+30 */
#define DEBUG_BUF_SIZE 2048

/*****************************************************************************
*
*****************************************************************************/
void agm_log_msg(const int priority, const char *fmt, ...)
{
	char DebugBuffer[DEBUG_BUF_SIZE];
	va_list argptr;

	va_start(argptr, fmt);
	vsnprintf(DebugBuffer, DEBUG_BUF_SIZE, fmt, argptr);

#ifdef HAVE_LOG_MSG
	log_msg( priority, DebugBuffer );
#else
	debug_msg( DebugBuffer );
#endif

	va_end(argptr);
}

void agm_log_xxd(const int priority, const char *msg,
					  const unsigned char *buffer, const int size)
{
#ifdef HAVE_LOG_XXD
	log_xxd( priority, msg, buffer, size );
#else
	debug_xxd( msg, buffer, size );
#endif
}

/*
   vim:tabstop=3:
*/
